CentOS e PHP5

postato in: LAMP, Linux, PHP | 0

Sui server linux “in produzione” utilizzo solitamente la distribuzione CentOS.
CentOS è un sistema operativo che fornisce una piattaforma di classe enterprise per chiunque intenda utilizzare GNU/Linux per usi professionali; è infatti una distribuzione derivata direttamente da Red Hat Enterprise Linux con cui è pressochè completamente compatibile. CentOS, attualmente alla versione 5.4, ha un ottimo strumento di aggiornamento dei pacchetti chiamato YUM.

Se si deve però creare un server LAMP CentOS non permette l’installazione di pacchetti superiori alla versione 5.1 se non compilando i sorgenti.
Che fare allora? armarsi di tanta pazzienza e compilare da soli i sorgenti?
NO…grazie al cielo esiste chi l’ha fatto, molto bene per noi!!!

Jason Litka ( http://www.jasonlitka.com ) è un IT Manager & Fulfillment Services Statunitense che ha creato, partendo dai sorgenti PHP un ottimo pacchetto d’installazione RPM.

Per installarlo è necessario scaricare la chiave pubblica predisposta dal  repository per accedere agli rpm in esso contenuti con il comando:

rpm – – import http://www.jasonlitka.com/media/RPM-GPG-KEY-jlitka

creare un file di configurazione nella cartella dei repository:

nano /etc/yum.repos.d/utterramblings.repo

scrivendoci le righe sotto indicate:

[utterramblings] name=Jason’s Utter Ramblings Repo
baseurl=http://www.jasonlitka.com/media/EL$releasever/$basearch/
enabled=1
gpgcheck=1
gpgkey=http://www.jasonlitka.com/media/RPM-GPG-KEY-jlitka

Una volta salvato il file e possibile lanciando l’installer grafico ( qualora si utilizzi l’interfaccia grafica )  o tramite il comando YUM PHP*  procedere all’installazione dei pacchetti PHP all’ultima versione disponibile.

Per una maggior sicurezza è consigliato lanciare solo e unicamente l’installazione dei pacchetti desiderati.

Grazie mille Jason Litka!!!

Lascia un commento